<?php
$liczba = 100;
$ciag = "abcd";

$str1 = "Zmienna liczba = $liczba, a zmienna ciąg = $ciag.";
$str2 = 'Zmienna liczba = $liczba, a zmienna ciąg = $ciag.';
$str3 = <<<ID1
Zmienna liczba = $liczba,
a zmienna ciag = $ciag.
ID1;

$str4 = <<<'ID2'
Zmienna liczba = $liczba,
a zmienna ciag = $ciag.
ID2;
echo "Zmienna str1 (składnia ze znakami cudzysłowu):<br />";
echo $str1;
echo "<br /><br />";

echo "Zmienna str2 (składnia ze znakami apostrofu):<br />";
echo $str2;
echo "<br /><br />";

echo "Zmienna str3 (składnia heredoc):<br />";
echo $str3;
echo "<br /><br />";

echo "Zmienna str4 (składnia nowdoc):<br />";
echo $str4;
echo "<br /><br />";

?>
